@charset "utf-8";

/* ログイン [ /login/ ]
====================================================================== */

/* ===============================================
 login-form
=============================================== */

.login-form {
  padding: 80px 0;
}
.login-form__inner {
  max-width: 720px;
  margin: 0 auto;
}
.login-form__box {
  background-color: #fff;
  border-radius: 8px;
  padding: 50px 60px 60px;
  border: 1px solid var(--border-color);
}
.login-form__title {
  font-size: 2.6rem;
  font-weight: 700;
  text-align: center;
  margin-bottom: 30px;
  color: var(--txt-base-color);
}
@media screen and (max-width: 767px) {
  .login-form {
    padding: 60px 0;
  }
  .login-form__box {
    border-radius: 0;
    padding: 50px 25px 60px;
  }
  .login-form__title {
    font-size: 2.4rem;
  }
}

/* フォーム */
.login-form__group {
  margin-bottom: 20px;
}
.login-form__input {
  width: 100%;
  height: 60px;
  line-height: 60px;
  padding: 0 20px;
  border: 1px solid var(--border-color);
  border-radius: 4px;
  background: var(--white);
  font-size: 1.6rem;
  color: var(--txt-base-color);
  transition: border-color var(--transition-fast);
}
.login-form__input:focus {
  border-color: var(--corp-color);
  outline: none;
}
.login-form__input::-webkit-input-placeholder {
  color: #a2a2a2;
  font-size: 1.4rem;
}
.login-form__input::-moz-placeholder {
  color: #a2a2a2;
  font-size: 1.4rem;
}
.login-form__input:-ms-input-placeholder {
  color: #a2a2a2;
  font-size: 1.4rem;
}
.login-form__input::-ms-input-placeholder {
  color: #a2a2a2;
  font-size: 1.4rem;
}
.login-form__input::placeholder {
  color: #a2a2a2;
  font-size: 1.4rem;
}
@media screen and (max-width: 767px) {
  .login-form__input {
    height: 80px;
    line-height: 80px;
  }
  .login-form__input::-webkit-input-placeholder {
    font-size: 1.6rem;
  }
  .login-form__input::-moz-placeholder {
    font-size: 1.6rem;
  }
  .login-form__input:-ms-input-placeholder {
    font-size: 1.6rem;
  }
  .login-form__input::-ms-input-placeholder {
    font-size: 1.6rem;
  }
  .login-form__input::placeholder {
    font-size: 1.6rem;
  }
}

/* オプション */
.login-form__options {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 25px;
  margin-bottom: 35px;
}
.login-form__checkbox {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  position: relative;
}
.login-form__checkbox-input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}
.login-form__checkbox-input + .login-form__checkbox-text::before {
  content: "";
  display: inline-block;
  width: 18px;
  height: 18px;
  border: 1px solid var(--txt-base-color);
  background-color: #fff;
  margin-right: 15px;
  flex-shrink: 0;
  transition: all var(--transition-fast);
  vertical-align: middle;
  position: relative;
  top: -2px;
}
.login-form__checkbox-input:checked + .login-form__checkbox-text::after {
  content: "";
  position: absolute;
  left: 6px;
  top: 7px;
  width: 7px;
  height: 12px;
  border: solid var(--corp-color);
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}
.login-form__checkbox-text {
  font-size: 1.6rem;
  font-weight: 500;
  color: var(--txt-base-color);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.login-form__forgot {
  position: relative;
  display: inline-block;
  padding-right: 35px;
  font-size: 1.6rem;
  font-weight: 500;
  color: var(--txt-base-color);
  text-decoration: underline;
  -webkit-text-decoration-color: transparent;
  text-decoration-color: transparent;
  text-decoration-thickness: 1px;
  text-underline-offset: 5px;
  transition:
    text-decoration-color var(--transition-base),
    -webkit-text-decoration-color var(--transition-base);
}
.login-form__forgot::before,
.login-form__forgot::after {
  content: "";
  position: absolute;
  top: calc(50% - 0.5px);
  right: 0;
  width: 0.625em;
  height: 1px;
  border-radius: 9999px;
  background-color: var(--txt-base-color);
  transform-origin: calc(100% - 0.5px) 50%;
}
.login-form__forgot::before {
  transform: rotate(53deg);
}
.login-form__forgot::after {
  transform: rotate(-53deg);
}
@media screen and (max-width: 767px) {
  .login-form__options {
    flex-direction: column;
    align-items: flex-start;
    gap: 25px;
    margin-top: 30px;
    margin-bottom: 40px;
  }
  .login-form__checkbox {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    margin: 0 auto;
    order: 1;
  }
  .login-form__checkbox-input + .login-form__checkbox-text::before {
    width: 28px;
    height: 28px;
  }
  .login-form__checkbox-input:checked + .login-form__checkbox-text::after {
    left: 10px;
    top: 7px;
    width: 8px;
    height: 15px;
  }
  .login-form__checkbox-text {
    font-size: 1.8rem;
  }
  .login-form__forgot {
    font-size: 1.8rem;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    margin: 0 auto;
    order: 2;
  }
}
@media (hover) {
  .login-form__forgot:hover {
    -webkit-text-decoration-color: currentColor;
    text-decoration-color: currentColor;
  }
}

/* ログインボタン */
.login-form__button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 25px 30px;
  width: 100%;
  background-color: var(--corp-color);
  border: 1px solid var(--corp-color);
  border-radius: 6px;
  font-size: 1.8rem;
  font-weight: 500;
  text-decoration: none;
  transition: var(--transition-base);
}
.login-form__button-text {
  position: relative;
  display: inline-block;
  padding-right: 30px;
  font-size: 1.8rem;
  font-weight: 500;
  color: #fff;
  text-decoration: none;
  transition: var(--transition-base);
}
.login-form__button-text::before,
.login-form__button-text::after {
  content: "";
  position: absolute;
  top: calc(50% - 0.5px);
  right: 0;
  width: 0.625em;
  height: 1px;
  border-radius: 9999px;
  background-color: #fff;
  transform-origin: calc(100% - 0.5px) 50%;
}
.login-form__button-text::before {
  transform: rotate(53deg);
}
.login-form__button-text::after {
  transform: rotate(-53deg);
}
@media (hover) {
  .login-form__button:hover {
    background-color: var(--corp-color-hover);
    border: 1px solid var(--corp-color-hover);
  }
}

/* 新規会員登録 */
.login-form__register {
  text-align: center;
  margin-top: 40px;
}
.login-form__register-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 23px 30px;
  min-width: 196px;
  background-color: #fff;
  border: 1px solid var(--corp-color);
  border-radius: 6px;
  font-size: 1.8rem;
  font-weight: 500;
  text-decoration: none;
  transition: var(--transition-base);
}
.login-form__register-text {
  position: relative;
  display: inline-block;
  padding-right: 30px;
  font-size: 1.8rem;
  font-weight: 500;
  color: var(--corp-color);
  text-decoration: none;
  transition: var(--transition-base);
}
.login-form__register-text::before,
.login-form__register-text::after {
  content: "";
  position: absolute;
  top: calc(50% - 0.5px);
  right: 0;
  width: 0.625em;
  height: 1px;
  border-radius: 9999px;
  background-color: var(--corp-color);
  transform-origin: calc(100% - 0.5px) 50%;
}
.login-form__register-text::before {
  transform: rotate(53deg);
}
.login-form__register-text::after {
  transform: rotate(-53deg);
}
@media screen and (max-width: 767px) {
  .login-form__register {
    margin-top: 40px;
    padding: 0 25px;
  }
  .login-form__register-btn {
    width: 100%;
  }
}
@media (hover) {
  .login-form__register-btn:hover {
    background-color: var(--corp-color);
    border: 1px solid var(--corp-color);
  }
  .login-form__register-btn:hover .login-form__register-text {
    color: #fff;
  }
  .login-form__register-btn:hover .login-form__register-text::before,
  .login-form__register-btn:hover .login-form__register-text::after {
    background-color: #fff;
  }
  .login-form__button--submit:hover {
    background-color: var(--corp-color-hover);
    border: 1px solid var(--corp-color-hover);
  }
}

/* ===============================================
 パスワード再発行ページ [ /login/forgot1.html ]
=============================================== */

.login-form__description {
  text-align: center;
}
.login-form__description p {
  font-size: 1.6rem;
  font-weight: 500;
  color: var(--txt-base-color);
  margin-bottom: 15px;
}
.login-form__description-text {
  font-size: 1.4rem !important;
  font-weight: 400;
  margin-bottom: 15px;
}
.login-form__description-note {
  font-size: 1.2rem !important;
  font-weight: 400;
}
.forgot .login-form__button-wrap {
  padding-top: 20px;
}
@media screen and (max-width: 767px) {
  .login-form__description p {
    font-size: 1.8rem;
  }
  .login-form__description-text {
    font-size: 1.6rem !important;
  }
  .login-form__description-note {
    font-size: 1.3rem !important;
  }
}

/* ===============================================
 footer__copy-block
=============================================== */

.l-footer .goback {
  padding: 90px 0;
}
.footer__copy-block {
  background-color: #fff;
  border-top: 1px solid var(--border-color);
  padding: 25px 0;
  text-align: center;
}
.footer__copy-block .footer__copyright {
  font-size: 1.2rem;
}
@media screen and (max-width: 767px) {
  .l-footer .goback {
    padding: 60px 0;
  }
  .footer__copy-block {
    padding: 30px 0;
  }
  .footer__copy-block .footer__copyright {
    font-size: 1.2rem;
    border-top: none;
    padding: 0;
  }
}

/* --- */
